import request from '@/plugin/axios'
//考勤班次
export function getShiftsList (data) {
  return request({
    url: '/hr/getShiftsByPage',
    method: 'post',
    data
  })
}

//考勤班次删除
export function delShiftsById (data) {
  return request({
    url: '/hr/delShiftsById',
    method: 'post',
    data
  })
}

//考勤班次新增
export function saveOrUpdataShifts (data) {
  return request({
    url: '/hr/saveOrUpdataShifts',
    method: 'post',
    data
  })
}

//考勤班次编辑
export function getShiftsById (data) {
  return request({
    url: '/hr/getShiftsById',
    method: 'post',
    data
  })
}

//判断考勤班次编号是否存在
export function findShiftsByCode (data) {
  return request({
    url: '/hr/findShiftsByCode',
    method: 'post',
    data
  })
}